<?php

namespace Modules\StorageDriver\Providers;

use Illuminate\Support\ServiceProvider;

class StorageDriverServiceProvider extends ServiceProvider
{
    /**
     * Boot the application events.
     *
     * @return void
     */
    public function boot()
    {
        add_action("before_storagedriver_addon_deactivation", function() {
            \App\Lib\Env::set("FILESYSTEM_DRIVER", "local", base_path('.env'));
        });
    }

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
    }
}
